<?php

require_once('/usr/fallback/beroConf.php');

class apiCall {

	private $_name, $_get, $_post, $_files, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'NetworkSetmDNS';
		$this->_get = $get;
		$this->_post = $post;
		$this->_files = $files;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['Mode']) || !in_array($this->_get['Mode'], array('enabled', 'disabled'))) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$bc = new beroConf('root');

		switch ($this->_get['Mode']) {
		case 'enabled':
			$bc->set('root', 'beroAvahi-enabled', '1');
			@exec('/usr/local/init/S90beroAvahi start');
			break;
		case 'disabled':
			@exec('/usr/local/init/S90beroAvahi stop');
			$bc->set('root', 'beroAvahi-enabled', '0');
			break;
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
