<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once('/usr/local/www/berogui/includes/session.php');


?>


<script type="text/javascript">
    $("#acll").validate({
                    
        rules: {
                        
            address: { 
                checkHostname : true, 
                required: true
            },
            netmask: {
                required:true,
                digits: true,
                range: [0,32],
                },
                manual_dest_port: {
                    required: {
                        depends: function (element) {
                            return $("#dest_port option:selected").val() == "manual";
                        }
                    },
                    digits: true,
                    range: [1, 65535],
                },
            }
        });

        $("#dest_port").change(function () {
            required();
        });

        function required() {
            if ($("#dest_port option:selected").val() == "manual") {
                addAsterisk("manual_dest_port");
            } else {
                deleteAsterisk("manual_dest_port");
            }
        }

        function hide_elements() {
            if ($('#dest_port').val() === "manual")
                $('#manual_dest_port').show();
            else
                $('#manual_dest_port').hide();
        }
	
	$( document ).ready(function() {
		hide_elements();
		required();
	});

</script>
<?php

function protocol($id){
    $allProtocol=array(""=>"All","udp"=>"UDP","tcp"=>"TCP");
    if ($id!="") $protocol=  getValue ($id, "protocol");
    $result="<select name='protocol' class='form-control'>";
    foreach ($allProtocol as $key=>$value){
        ($key===$protocol) ? $selected="selected='true'" : $selected="";
        $result.="<option value='$key' $selected>$value</option>";
    }
    $result.="</select>";
    return $result;
}
function dest_port($id){
    $port=array(-1=>"SIP",-2=>"SIP-TLS",80=>"HTTP",443=>"HTTPS",54322=>"Telnet",22=>"SSH",161=>"SNMP",162=>"SNMP-Trap",65001=>"bfdetect","all" => "All");
    if ($id!="") {
        $dest_port=  getValue ($id, "dest_port");
        if (!array_key_exists($dest_port, $port)){
            $manual="selected='true'";
            $manual_port=$dest_port;
        }
    }
    $result="<select name='dest_port' id='dest_port' onchange='hide_elements();' class='form-control'>";
    foreach ($port as $key=>$value){
        ($key==$dest_port) ? $selected="selected='true'" : $selected="";
        $result.="<option value='$key' $selected >$value</option>";
    }
    $result.="<option value='manual' $manual>Manual</option>";
    
    $result.="<input name='manual_dest_port' class='form-control input-sm' id='manual_dest_port' value='$manual_port'>";
    $result.="</select>";
    return $result;
}
function acl_rule($id){
    $address= getValue ($id, "address");
    $netmask= getValue ($id, "netmask");
    $result="<div class='col-sm-7' style='padding-left:0px'><input type='text' name='address' value='$address' size='15' class='form-control input-sm' /></div>"
	    . "<div class='col-sm-1'>/</div>"
	    . "<div class='col-sm-4'><input type='text' name='netmask' class='form-control input-sm' value='$netmask'size='2' /></div>"; 
    return $result;
}
function getValue($id,$colname){
    $ba=new beroAri();
    $query=$ba->select("select $colname from acl where id='$id'");
    return sqlite_fetch_single($query);
}
require_once "./includes/isgwtelnet.php";
$id=sqlite_escape_string($_GET['id']);
?>
<form class='form-horizontal' name='acll' id='acll' action='modules/Acl/acl_submit.php' method='POST'>
        <input type=hidden name='start' value='<? echo $_GET['start']; ?>'>
	<div class='form-group'>
	    <label for='protocol' class='col-sm-6 control-label'><? echo ACL_PROTOCOL_DIS; ?></label>
	    <div class='col-sm-6'>
		<? echo protocol($id); ?>
	    </div>
	</div>
	<div class='form-group'>
	    <label for='manual_dest_port' class='col-sm-6 control-label'><? echo ACL_DEST_PORT_DIS; ?></label>
	    <div class='col-sm-6'>
		<? echo dest_port($id); ?>
	    </div>
	</div>
	<div class='form-group'>
	    <label for='address' class='col-sm-6 control-label'><? echo ACL_ACL_RULE_DIS; ?></label>
	    <div class='col-sm-6'>
		<? echo acl_rule($id); ?>
	    </div>
	</div>
	<div class='text-center'><i><? echo REQUIRED_FIELDS; ?></i></div>
	<br/>
	<input type='hidden' name='id_upd' value='<? echo $id; ?>'>
	<div class='text-center'>
		<button type='submit' class='btn btn-default'><? echo BUTTON_SAVE; ?></button>
	</div>
</form>